Bug 112326 - oops booting test11.1.13
oops booting test11.1.13
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-17 15:25 EST by Jeremy Katz
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 13:52:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2003-12-17 15:25:56 EST
General protection fault right after the PnPBIOS messages... worked
with  .12.  No call trace, can transcribe the stack or anything else
you need since it's easy for me to get it to happen ;)   Worked fine
with .12.  I'll look for obvious things in the diff after my next meeting.

Works fine on the random celeron whitebox in my cube
Comment 1 Jeremy Katz 2003-12-17 18:04:04 EST
And of course, one of the changes is enabling CONFIG_PNPBIOS... :)
Comment 2 Dave Jones 2003-12-17 23:10:36 EST
could be one to blacklist, dmidecode info ?
Comment 4 Jeremy Katz 2003-12-23 15:08:20 EST
As more data, booting with pnpbios=off seems to work around
Comment 5 Behdad Esfahbod 2004-01-03 04:12:09 EST
pnpbios=off fixed it for me too.  It's a recent Sony Vaio laptop. 
dmidecode from 2.4 kernel follows.  I couldn't get it from the 2.6
one, as surprisingly SElinux policies didn't let me login neither on
console nor gdm!

[root@mces root]# dmidecode
# dmidecode 2.2
SMBIOS 2.31 present.
16 structures occupying 642 bytes.
Table at 0x000D8010.
Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information
                Vendor: Phoenix Technologies LTD
                Version: R0246B0
                Release Date: 12/03/02
                Address: 0xE5600
                Runtime Size: 109056 bytes
                ROM Size: 512 kB
                Characteristics:
                        PCI is supported
                        PC Card (PCMCIA) is supported
                        PNP is supported
                        APM is supported
                        BIOS is upgradeable
                        BIOS shadowing is allowed
                        ESCD support is available
                        3.5"/720 KB floppy services are supported (int
13h)
                        Print screen service is supported (int 5h)
                        8042 keyboard services are supported (int 9h)
                        Serial services are supported (int 14h)
                        Printer services are supported (int 17h)
                        CGA/mono video services are supported (int 10h)
                        ACPI is supported
                        USB legacy is supported
                        AGP is supported
                        IEEE 1394 boot is supported
                        Smart battery is supported
                        BIOS boot specification is supported
                        Function key-initiated network boot is supported
Handle 0x0001
        DMI type 1, 25 bytes.
        System Information
                Manufacturer: Sony Corporation
                Product Name: PCG-GRX616SP(GB)
                Version: 01
                Serial Number: 28120050-5100082
                UUID: D76ABDA0-4B65-11C6-8282-080046684ED1
                Wake-up Type: Power Switch
Handle 0x0002
        DMI type 3, 17 bytes.
        Chassis Information
                Manufacturer: Sony Corporation
                Type: Notebook
                Lock: Not Present
                Version: N/A
                Serial Number: 01
                Asset Tag: 8H1M54ba66780640000000000000
                Boot-up State: Safe
                Power Supply State: Safe
                Thermal State: Safe
                Security Status: None
                OEM Information: 0x00000000
Handle 0x0003
        DMI type 4, 35 bytes.
        Processor Information
                Socket Designation: N/A
                Type: Central Processor
                Family: Pentium 4
                Manufacturer: Intel Corporation
                ID: 27 0F 00 00 FF F9 EB BF
                Signature: Type 0, Family F, Model 2, Stepping 7
                Flags:
                        FPU (Floating-point unit on-chip)
                        VME (Virtual mode extension)
                        DE (Debugging extension)
                        PSE (Page size extension)
                        TSC (Time stamp counter)
                        MSR (Model specific registers)
                        PAE (Physical address extension)
                        MCE (Machine check exception)
                        CX8 (CMPXCHG8 instruction supported)
                        SEP (Fast system call)
                        MTRR (Memory type range registers)
                        PGE (Page global enable)
                        MCA (Machine check architecture)
                        CMOV (Conditional move instruction supported)
                        PAT (Page attribute table)
                        PSE-36 (36-bit page size extension)
                        CLFSH (CLFLUSH instruction supported)
                        DS (Debug store)
                        ACPI (ACPI supported)
                        MMX (MMX technology supported)
                        FXSR (Fast floating-point save and restore)
                        SSE (Streaming SIMD extensions)
                        SSE2 (Streaming SIMD extensions 2)
                        SS (Self-snoop)
                        HTT (Hyper-threading technology)
                        TM (Thermal monitor supported)
                        SBF (Signal break on FERR)
                Version: N/A
                Voltage: 3.3 V
                External Clock: 100 MHz
                Max Speed: 2400 MHz
                Current Speed: 2400 MHz
                Status: Populated, Enabled
                Upgrade: None
                L1 Cache Handle: 0x0004
                L2 Cache Handle: 0x0005
                L3 Cache Handle: Not Provided
                Serial Number: N/A
                Asset Tag: N/A
                Part Number: N/A
Handle 0x0004
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: L1Cache
                Configuration: Enabled, Socketed, Level 1
                Operational Mode: Write Back
                Location: Internal
                Installed Size: 16 KB
                Maximum Size: 16 KB
                Supported SRAM Types:
                        Burst
                        Pipeline Burst
                        Asynchronous
                Installed SRAM Type: Asynchronous
                Speed: Unknown
                Error Correction Type: None
                System Type: Instruction
                Associativity: 4-way Set-associative
Handle 0x0005
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: L2Cache
                Configuration: Enabled, Socketed, Level 2
                Operational Mode: Write Back
                Location: External
                Installed Size: 512 KB
                Maximum Size: 512 KB
                Supported SRAM Types:
                        Burst
                        Pipeline Burst
                        Asynchronous
                Installed SRAM Type: Burst
                Speed: Unknown
                Error Correction Type: None
                System Type: Data
                Associativity: 4-way Set-associative
Handle 0x0006
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCCARD1
                Type: 32-bit PC Card (PCMCIA)
                Current Usage: Available
                Length: Short
                ID: Adapter 1, Socket 0
                Characteristics:
                        5.0 V is provided
                        3.3 V is provided
                        PC Card-16 is supported
                        Cardbus is supported
                        Modem ring resume is supported
                        Hot-plug devices are supported
Handle 0x0007
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCCARD2
                Type: 32-bit PC Card (PCMCIA)
                Current Usage: Available
                Length: Short
                ID: Adapter 2, Socket 0
                Characteristics:
                        5.0 V is provided
                        3.3 V is provided
                        PC Card-16 is supported
                        Cardbus is supported
                        Modem ring resume is supported
                        Hot-plug devices are supported
Handle 0x0008
        DMI type 11, 5 bytes.
        OEM Strings
                String 1: EU4311
Handle 0x0009
        DMI type 16, 15 bytes.
        Physical Memory Array
                Location: System Board Or Motherboard
                Use: System Memory
                Error Correction Type: None
                Maximum Capacity: 512 MB
                Error Information Handle: Not Provided
                Number Of Devices: 2
Handle 0x000A
        DMI type 17, 27 bytes.
        Memory Device
                Array Handle: 0x0009
                Error Information Handle: No Error
                Total Width: 32 bits
                Data Width: 32 bits
                Size: 512 MB
                Form Factor: SODIMM
                Set: None
                Locator: SODIMM1
                Bank Locator: Bank 0
                Type: SDRAM
                Type Detail: Synchronous
                Speed: 100 MHz (10.0 ns)
                Manufacturer: N/A
                Serial Number: N/A
                Asset Tag: N/A
                Part Number: N/A
Handle 0x000B
        DMI type 17, 27 bytes.
        Memory Device
                Array Handle: 0x0009
                Error Information Handle: No Error
                Total Width: 32 bits
                Data Width: 32 bits
                Size: 512 MB
                Form Factor: SODIMM
                Set: None
                Locator: SODIMM2
                Bank Locator: Bank 1
                Type: SDRAM
                Type Detail: Synchronous
                Speed: 100 MHz (10.0 ns)
                Manufacturer: N/A
                Serial Number: N/A
                Asset Tag: N/A
                Part Number: N/A
Handle 0x000C
        DMI type 19, 15 bytes.
        Memory Array Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x0003FFFFFFF
                Range Size: 1 GB
                Physical Array Handle: 0x0009
                Partition Width: 0
Handle 0x000D
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x0001FFFFFFF
                Range Size: 512 MB
                Physical Device Handle: 0x000A
                Memory Array Mapped Address Handle: 0x000C
                Partition Row Position: Unknown
                Interleave Position: Unknown
                Interleaved Data Depth: Unknown
Handle 0x000E
        DMI type 32, 20 bytes.
        System Boot Information
                Status: <OUT OF SPEC>
Handle 0x000F
        DMI type 127, 4 bytes.
        End Of Table
Comment 6 Jeremy Katz 2004-05-11 13:52:09 EDT
Not a problem with current kernels.

Note You need to log in before you can comment on or make changes to this bug.